with text_io; use text_io;
with snd4ada; --use snd4ada;
with interfaces.c;
with interfaces.c.strings;



procedure two is

	--attempt to play 2 loops concurrently

	linestr: string(1..80);
	last: natural;
	choir, beach: interfaces.c.int;
	title: constant string := "choir.wav";
	titl2: constant string := "beach00.wav";

begin

	snd4ada.initSnds;

	choir:=snd4ada.initLoop( interfaces.c.Strings.New_string(title) );
	beach:=snd4ada.initLoop( interfaces.c.Strings.New_string(titl2) );

	put_line("Hit <enter> to begin");
	get_line(linestr,last);

	snd4ada.playLoop(beach);
	snd4ada.playLoop(choir);

	put_line("hit <enter> to end choir");
	get_line(linestr,last);

	snd4ada.stopLoop(choir); --does not stop immediately

	put_line("hit <enter> to end beach");
	get_line(linestr,last);

	snd4ada.stopLoop(beach);

	snd4ada.termSnds;

end two;



